rte_port_eventdev_writer_params(3)

NAME
rte_port_eventdev_writer_params

SYNOPSIS

#include <rte_port_eventdev.h>

  Data Fields

uint8_t eventdev_id
uint8_t port_id
uint8_t queue_id
uint32_t enq_burst_sz
uint8_t sched_type
uint8_t evt_op

Detailed Description

Eventdev_writer port parameters.

Definition at line 40 of file rte_port_eventdev.h.

Field Documentation

  uint8_t eventdev_id
Eventdev Device ID.

Definition at line 42 of file rte_port_eventdev.h.

  uint8_t port_id
Eventdev Port ID.

Definition at line 45 of file rte_port_eventdev.h.

  uint8_t queue_id
Eventdev Queue ID.

Definition at line 48 of file rte_port_eventdev.h.

  uint32_t enq_burst_sz
Burst size to eventdev interface.

Definition at line 51 of file rte_port_eventdev.h.

  uint8_t sched_type
Scheduler synchronization type (RTE_SCHED_TYPE_*)

Definition at line 54 of file rte_port_eventdev.h.

  uint8_t evt_op
The type of eventdev enqueue operation - new/forward/release

Definition at line 57 of file rte_port_eventdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.